body {
    margin: 0;
    padding: 0;
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
}

#tictactoe-side-panel,
#tictactoe-board {
    width: min(90vmin, 45vmax);
    height: min(90vmin, 45vmax);
}

@media (orientation: landscape) {
    #tictactoe-page {
        flex-direction: row;
    }
}

@media (orientation: portrait) {
    #tictactoe-page {
        flex-direction: column;
    }
}

#tictactoe-page {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    height: 100%;
    position: relative;
}

#tictactoe-board {
    display: flex;
    flex-direction: column;
    z-index: 1;
}

.tictactoe-row {
    width: 100%;
    height: 32%;
    margin: 0px;
    padding: 0px;
    display: flex;
}

.tictactoe-cell {
    width: 32%;
    height: 100%;
    margin: 0px;
    padding: 0px;
    cursor: pointer;
    z-index: 2;
}

.tictactoe-spacer-v {
    width: 2%;
    height: 100%;
    margin: 0px;
    padding: 0px;
    background: #333;
}

.tictactoe-spacer-h {
    width: 100%;
    height: 2%;
    margin: 0px;
    padding: 0px;
    background: #333;
}

#tictactoe-side-panel {
    text-align: center;
    vertical-align: middle;
    border: 5px solid #333;
    content: "";
    display: flex;
    flex-direction: column;
}

#tictactoe-opponents-statement {
    height: 52.5%;
    font-family: "Comic Sans MS", cursive, sans-serif;
    font-weight: 700;
    font-size: 40px;
    color: #cc66cc;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
}

#tictactoe-buttons-overlay {
    height: 47.5%;
    display: flex;
}

#tictactoe-opponent-buttons {
    display: flex;
    width: 55%;
    justify-content: space-between;
    align-items: center;
}

#tictactoe-opponent-buttons button {
    cursor: pointer;
    background-color: #ffffff;
    border: 2px solid #333333;
    color: #333333;
    height: 40px;
    width: 40px;
    margin: 3px;
    text-align: center;
    border-radius: 50%;
}

#tictactoe-game-buttons {
    display: flex;
    width: 45%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#tictactoe-game-buttons button {
    cursor: pointer;
    background: border-box;
    border: 2px solid #333333;
    height: 50px;
    width: 150px;
    margin: 3px;
    text-align: center;
    border-radius: 10px;
    font-family: "Comic Sans MS", cursive, sans-serif;
    font-weight: 700;
    font-size: 15px;
    color: #cc66cc;
}

@media (orientation: landscape) and (max-height: 600px) {
    #tictactoe-opponents-statement {
        font-size: 30px;
    }

    #tictactoe-opponent-buttons button {
        height: 30px;
        width: 30px;
    }

    #tictactoe-game-buttons button {
        height: 40px;
        width: 120px;
        font-size: 12px;
    }
}

@media (orientation: portrait) and (max-width: 600px) {
    #tictactoe-opponents-statement {
        font-size: 30px;
    }

    #tictactoe-opponent-buttons button {
        height: 30px;
        width: 30px;
    }

    #tictactoe-game-buttons button {
        height: 40px;
        width: 120px;
        font-size: 12px;
    }
}